Package htsjdk.io

# Interface Writer<A>

All Superinterfaces:
  `AutoCloseable`, `Closeable`

All Known Subinterfaces:
  `FastqWriter`

All Known Implementing Classes:
  `AsyncFastqWriter`, `BasicFastqWriter`

public interface Writer<A> extends Closeable

## Method Summary

Modifier and Type
Method
Description
`void`
`write(A item)`
Writes one item.
`default void`
`write(Iterable<A> items)`
Writes out one or more items in order.

### Methods inherited from interface java.io.Closeable

`close`

## Method Details

### write

void write(A item)
Writes one item.

Parameters:
  `item` - the item to write.

### write

default void write(Iterable<A> items)
Writes out one or more items in order.